IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Prefix/72
Addresses2^56
/64 networksPart of one
- Network
2c19:dd:ec00:c25:1400::/72- First address
2c19:dd:ec00:c25:1400::- Last address
2c19:dd:ec00:c25:14ff:ffff:ffff:ffff- Addresses
- 72,057,594,037,927,936 (2^56)
- /64 networks (LANs)
- None: smaller than one /64 LAN
- Full form
2c19:00dd:ec00:0c25:1400:0000:0000:0000- Type
- Global unicast 2000::/3
Public internet addresses - Reverse DNS zone
4.1.5.2.c.0.0.0.c.e.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets
2c19:dd:ec00:c25:1400::/72 makes 256 subnets of /80.
| # | Subnet | Last address |
|---|---|---|
| 1 | 2c19:dd:ec00:c25:1400::/80 | 2c19:dd:ec00:c25:1400:ffff:ffff:ffff |
| 2 | 2c19:dd:ec00:c25:1401::/80 | 2c19:dd:ec00:c25:1401:ffff:ffff:ffff |
| 3 | 2c19:dd:ec00:c25:1402::/80 | 2c19:dd:ec00:c25:1402:ffff:ffff:ffff |
| 4 | 2c19:dd:ec00:c25:1403::/80 | 2c19:dd:ec00:c25:1403:ffff:ffff:ffff |
| 5 | 2c19:dd:ec00:c25:1404::/80 | 2c19:dd:ec00:c25:1404:ffff:ffff:ffff |
| 6 | 2c19:dd:ec00:c25:1405::/80 | 2c19:dd:ec00:c25:1405:ffff:ffff:ffff |
| 7 | 2c19:dd:ec00:c25:1406::/80 | 2c19:dd:ec00:c25:1406:ffff:ffff:ffff |
| 8 | 2c19:dd:ec00:c25:1407::/80 | 2c19:dd:ec00:c25:1407:ffff:ffff:ffff |
| 9 | 2c19:dd:ec00:c25:1408::/80 | 2c19:dd:ec00:c25:1408:ffff:ffff:ffff |
| 10 | 2c19:dd:ec00:c25:1409::/80 | 2c19:dd:ec00:c25:1409:ffff:ffff:ffff |
| 11 | 2c19:dd:ec00:c25:140a::/80 | 2c19:dd:ec00:c25:140a:ffff:ffff:ffff |
| 12 | 2c19:dd:ec00:c25:140b::/80 | 2c19:dd:ec00:c25:140b:ffff:ffff:ffff |
| 13 | 2c19:dd:ec00:c25:140c::/80 | 2c19:dd:ec00:c25:140c:ffff:ffff:ffff |
| 14 | 2c19:dd:ec00:c25:140d::/80 | 2c19:dd:ec00:c25:140d:ffff:ffff:ffff |
| 15 | 2c19:dd:ec00:c25:140e::/80 | 2c19:dd:ec00:c25:140e:ffff:ffff:ffff |
| 16 | 2c19:dd:ec00:c25:140f::/80 | 2c19:dd:ec00:c25:140f:ffff:ffff:ffff |
| 17 | 2c19:dd:ec00:c25:1410::/80 | 2c19:dd:ec00:c25:1410:ffff:ffff:ffff |
| 18 | 2c19:dd:ec00:c25:1411::/80 | 2c19:dd:ec00:c25:1411:ffff:ffff:ffff |
| 19 | 2c19:dd:ec00:c25:1412::/80 | 2c19:dd:ec00:c25:1412:ffff:ffff:ffff |
| 20 | 2c19:dd:ec00:c25:1413::/80 | 2c19:dd:ec00:c25:1413:ffff:ffff:ffff |
| 21 | 2c19:dd:ec00:c25:1414::/80 | 2c19:dd:ec00:c25:1414:ffff:ffff:ffff |
| 22 | 2c19:dd:ec00:c25:1415::/80 | 2c19:dd:ec00:c25:1415:ffff:ffff:ffff |
| 23 | 2c19:dd:ec00:c25:1416::/80 | 2c19:dd:ec00:c25:1416:ffff:ffff:ffff |
| 24 | 2c19:dd:ec00:c25:1417::/80 | 2c19:dd:ec00:c25:1417:ffff:ffff:ffff |
| 25 | 2c19:dd:ec00:c25:1418::/80 | 2c19:dd:ec00:c25:1418:ffff:ffff:ffff |
| 26 | 2c19:dd:ec00:c25:1419::/80 | 2c19:dd:ec00:c25:1419:ffff:ffff:ffff |
| 27 | 2c19:dd:ec00:c25:141a::/80 | 2c19:dd:ec00:c25:141a:ffff:ffff:ffff |
| 28 | 2c19:dd:ec00:c25:141b::/80 | 2c19:dd:ec00:c25:141b:ffff:ffff:ffff |
| 29 | 2c19:dd:ec00:c25:141c::/80 | 2c19:dd:ec00:c25:141c:ffff:ffff:ffff |
| 30 | 2c19:dd:ec00:c25:141d::/80 | 2c19:dd:ec00:c25:141d:ffff:ffff:ffff |
| 31 | 2c19:dd:ec00:c25:141e::/80 | 2c19:dd:ec00:c25:141e:ffff:ffff:ffff |
| 32 | 2c19:dd:ec00:c25:141f::/80 | 2c19:dd:ec00:c25:141f:ffff:ffff:ffff |
| 33 | 2c19:dd:ec00:c25:1420::/80 | 2c19:dd:ec00:c25:1420:ffff:ffff:ffff |
| 34 | 2c19:dd:ec00:c25:1421::/80 | 2c19:dd:ec00:c25:1421:ffff:ffff:ffff |
| 35 | 2c19:dd:ec00:c25:1422::/80 | 2c19:dd:ec00:c25:1422:ffff:ffff:ffff |
| 36 | 2c19:dd:ec00:c25:1423::/80 | 2c19:dd:ec00:c25:1423:ffff:ffff:ffff |
| 37 | 2c19:dd:ec00:c25:1424::/80 | 2c19:dd:ec00:c25:1424:ffff:ffff:ffff |
| 38 | 2c19:dd:ec00:c25:1425::/80 | 2c19:dd:ec00:c25:1425:ffff:ffff:ffff |
| 39 | 2c19:dd:ec00:c25:1426::/80 | 2c19:dd:ec00:c25:1426:ffff:ffff:ffff |
| 40 | 2c19:dd:ec00:c25:1427::/80 | 2c19:dd:ec00:c25:1427:ffff:ffff:ffff |
| 41 | 2c19:dd:ec00:c25:1428::/80 | 2c19:dd:ec00:c25:1428:ffff:ffff:ffff |
| 42 | 2c19:dd:ec00:c25:1429::/80 | 2c19:dd:ec00:c25:1429:ffff:ffff:ffff |
| 43 | 2c19:dd:ec00:c25:142a::/80 | 2c19:dd:ec00:c25:142a:ffff:ffff:ffff |
| 44 | 2c19:dd:ec00:c25:142b::/80 | 2c19:dd:ec00:c25:142b:ffff:ffff:ffff |
| 45 | 2c19:dd:ec00:c25:142c::/80 | 2c19:dd:ec00:c25:142c:ffff:ffff:ffff |
| 46 | 2c19:dd:ec00:c25:142d::/80 | 2c19:dd:ec00:c25:142d:ffff:ffff:ffff |
| 47 | 2c19:dd:ec00:c25:142e::/80 | 2c19:dd:ec00:c25:142e:ffff:ffff:ffff |
| 48 | 2c19:dd:ec00:c25:142f::/80 | 2c19:dd:ec00:c25:142f:ffff:ffff:ffff |
| 49 | 2c19:dd:ec00:c25:1430::/80 | 2c19:dd:ec00:c25:1430:ffff:ffff:ffff |
| 50 | 2c19:dd:ec00:c25:1431::/80 | 2c19:dd:ec00:c25:1431:ffff:ffff:ffff |
| 51 | 2c19:dd:ec00:c25:1432::/80 | 2c19:dd:ec00:c25:1432:ffff:ffff:ffff |
| 52 | 2c19:dd:ec00:c25:1433::/80 | 2c19:dd:ec00:c25:1433:ffff:ffff:ffff |
| 53 | 2c19:dd:ec00:c25:1434::/80 | 2c19:dd:ec00:c25:1434:ffff:ffff:ffff |
| 54 | 2c19:dd:ec00:c25:1435::/80 | 2c19:dd:ec00:c25:1435:ffff:ffff:ffff |
| 55 | 2c19:dd:ec00:c25:1436::/80 | 2c19:dd:ec00:c25:1436:ffff:ffff:ffff |
| 56 | 2c19:dd:ec00:c25:1437::/80 | 2c19:dd:ec00:c25:1437:ffff:ffff:ffff |
| 57 | 2c19:dd:ec00:c25:1438::/80 | 2c19:dd:ec00:c25:1438:ffff:ffff:ffff |
| 58 | 2c19:dd:ec00:c25:1439::/80 | 2c19:dd:ec00:c25:1439:ffff:ffff:ffff |
| 59 | 2c19:dd:ec00:c25:143a::/80 | 2c19:dd:ec00:c25:143a:ffff:ffff:ffff |
| 60 | 2c19:dd:ec00:c25:143b::/80 | 2c19:dd:ec00:c25:143b:ffff:ffff:ffff |
| 61 | 2c19:dd:ec00:c25:143c::/80 | 2c19:dd:ec00:c25:143c:ffff:ffff:ffff |
| 62 | 2c19:dd:ec00:c25:143d::/80 | 2c19:dd:ec00:c25:143d:ffff:ffff:ffff |
| 63 | 2c19:dd:ec00:c25:143e::/80 | 2c19:dd:ec00:c25:143e:ffff:ffff:ffff |
| 64 | 2c19:dd:ec00:c25:143f::/80 | 2c19:dd:ec00:c25:143f:ffff:ffff:ffff |
| 65 | 2c19:dd:ec00:c25:1440::/80 | 2c19:dd:ec00:c25:1440:ffff:ffff:ffff |
| 66 | 2c19:dd:ec00:c25:1441::/80 | 2c19:dd:ec00:c25:1441:ffff:ffff:ffff |
| 67 | 2c19:dd:ec00:c25:1442::/80 | 2c19:dd:ec00:c25:1442:ffff:ffff:ffff |
| 68 | 2c19:dd:ec00:c25:1443::/80 | 2c19:dd:ec00:c25:1443:ffff:ffff:ffff |
| 69 | 2c19:dd:ec00:c25:1444::/80 | 2c19:dd:ec00:c25:1444:ffff:ffff:ffff |
| 70 | 2c19:dd:ec00:c25:1445::/80 | 2c19:dd:ec00:c25:1445:ffff:ffff:ffff |
| 71 | 2c19:dd:ec00:c25:1446::/80 | 2c19:dd:ec00:c25:1446:ffff:ffff:ffff |
| 72 | 2c19:dd:ec00:c25:1447::/80 | 2c19:dd:ec00:c25:1447:ffff:ffff:ffff |
| 73 | 2c19:dd:ec00:c25:1448::/80 | 2c19:dd:ec00:c25:1448:ffff:ffff:ffff |
| 74 | 2c19:dd:ec00:c25:1449::/80 | 2c19:dd:ec00:c25:1449:ffff:ffff:ffff |
| 75 | 2c19:dd:ec00:c25:144a::/80 | 2c19:dd:ec00:c25:144a:ffff:ffff:ffff |
| 76 | 2c19:dd:ec00:c25:144b::/80 | 2c19:dd:ec00:c25:144b:ffff:ffff:ffff |
| 77 | 2c19:dd:ec00:c25:144c::/80 | 2c19:dd:ec00:c25:144c:ffff:ffff:ffff |
| 78 | 2c19:dd:ec00:c25:144d::/80 | 2c19:dd:ec00:c25:144d:ffff:ffff:ffff |
| 79 | 2c19:dd:ec00:c25:144e::/80 | 2c19:dd:ec00:c25:144e:ffff:ffff:ffff |
| 80 | 2c19:dd:ec00:c25:144f::/80 | 2c19:dd:ec00:c25:144f:ffff:ffff:ffff |
| 81 | 2c19:dd:ec00:c25:1450::/80 | 2c19:dd:ec00:c25:1450:ffff:ffff:ffff |
| 82 | 2c19:dd:ec00:c25:1451::/80 | 2c19:dd:ec00:c25:1451:ffff:ffff:ffff |
| 83 | 2c19:dd:ec00:c25:1452::/80 | 2c19:dd:ec00:c25:1452:ffff:ffff:ffff |
| 84 | 2c19:dd:ec00:c25:1453::/80 | 2c19:dd:ec00:c25:1453:ffff:ffff:ffff |
| 85 | 2c19:dd:ec00:c25:1454::/80 | 2c19:dd:ec00:c25:1454:ffff:ffff:ffff |
| 86 | 2c19:dd:ec00:c25:1455::/80 | 2c19:dd:ec00:c25:1455:ffff:ffff:ffff |
| 87 | 2c19:dd:ec00:c25:1456::/80 | 2c19:dd:ec00:c25:1456:ffff:ffff:ffff |
| 88 | 2c19:dd:ec00:c25:1457::/80 | 2c19:dd:ec00:c25:1457:ffff:ffff:ffff |
| 89 | 2c19:dd:ec00:c25:1458::/80 | 2c19:dd:ec00:c25:1458:ffff:ffff:ffff |
| 90 | 2c19:dd:ec00:c25:1459::/80 | 2c19:dd:ec00:c25:1459:ffff:ffff:ffff |
| 91 | 2c19:dd:ec00:c25:145a::/80 | 2c19:dd:ec00:c25:145a:ffff:ffff:ffff |
| 92 | 2c19:dd:ec00:c25:145b::/80 | 2c19:dd:ec00:c25:145b:ffff:ffff:ffff |
| 93 | 2c19:dd:ec00:c25:145c::/80 | 2c19:dd:ec00:c25:145c:ffff:ffff:ffff |
| 94 | 2c19:dd:ec00:c25:145d::/80 | 2c19:dd:ec00:c25:145d:ffff:ffff:ffff |
| 95 | 2c19:dd:ec00:c25:145e::/80 | 2c19:dd:ec00:c25:145e:ffff:ffff:ffff |
| 96 | 2c19:dd:ec00:c25:145f::/80 | 2c19:dd:ec00:c25:145f:ffff:ffff:ffff |
| 97 | 2c19:dd:ec00:c25:1460::/80 | 2c19:dd:ec00:c25:1460:ffff:ffff:ffff |
| 98 | 2c19:dd:ec00:c25:1461::/80 | 2c19:dd:ec00:c25:1461:ffff:ffff:ffff |
| 99 | 2c19:dd:ec00:c25:1462::/80 | 2c19:dd:ec00:c25:1462:ffff:ffff:ffff |
| 100 | 2c19:dd:ec00:c25:1463::/80 | 2c19:dd:ec00:c25:1463:ffff:ffff:ffff |
| 101 | 2c19:dd:ec00:c25:1464::/80 | 2c19:dd:ec00:c25:1464:ffff:ffff:ffff |
| 102 | 2c19:dd:ec00:c25:1465::/80 | 2c19:dd:ec00:c25:1465:ffff:ffff:ffff |
| 103 | 2c19:dd:ec00:c25:1466::/80 | 2c19:dd:ec00:c25:1466:ffff:ffff:ffff |
| 104 | 2c19:dd:ec00:c25:1467::/80 | 2c19:dd:ec00:c25:1467:ffff:ffff:ffff |
| 105 | 2c19:dd:ec00:c25:1468::/80 | 2c19:dd:ec00:c25:1468:ffff:ffff:ffff |
| 106 | 2c19:dd:ec00:c25:1469::/80 | 2c19:dd:ec00:c25:1469:ffff:ffff:ffff |
| 107 | 2c19:dd:ec00:c25:146a::/80 | 2c19:dd:ec00:c25:146a:ffff:ffff:ffff |
| 108 | 2c19:dd:ec00:c25:146b::/80 | 2c19:dd:ec00:c25:146b:ffff:ffff:ffff |
| 109 | 2c19:dd:ec00:c25:146c::/80 | 2c19:dd:ec00:c25:146c:ffff:ffff:ffff |
| 110 | 2c19:dd:ec00:c25:146d::/80 | 2c19:dd:ec00:c25:146d:ffff:ffff:ffff |
| 111 | 2c19:dd:ec00:c25:146e::/80 | 2c19:dd:ec00:c25:146e:ffff:ffff:ffff |
| 112 | 2c19:dd:ec00:c25:146f::/80 | 2c19:dd:ec00:c25:146f:ffff:ffff:ffff |
| 113 | 2c19:dd:ec00:c25:1470::/80 | 2c19:dd:ec00:c25:1470:ffff:ffff:ffff |
| 114 | 2c19:dd:ec00:c25:1471::/80 | 2c19:dd:ec00:c25:1471:ffff:ffff:ffff |
| 115 | 2c19:dd:ec00:c25:1472::/80 | 2c19:dd:ec00:c25:1472:ffff:ffff:ffff |
| 116 | 2c19:dd:ec00:c25:1473::/80 | 2c19:dd:ec00:c25:1473:ffff:ffff:ffff |
| 117 | 2c19:dd:ec00:c25:1474::/80 | 2c19:dd:ec00:c25:1474:ffff:ffff:ffff |
| 118 | 2c19:dd:ec00:c25:1475::/80 | 2c19:dd:ec00:c25:1475:ffff:ffff:ffff |
| 119 | 2c19:dd:ec00:c25:1476::/80 | 2c19:dd:ec00:c25:1476:ffff:ffff:ffff |
| 120 | 2c19:dd:ec00:c25:1477::/80 | 2c19:dd:ec00:c25:1477:ffff:ffff:ffff |
| 121 | 2c19:dd:ec00:c25:1478::/80 | 2c19:dd:ec00:c25:1478:ffff:ffff:ffff |
| 122 | 2c19:dd:ec00:c25:1479::/80 | 2c19:dd:ec00:c25:1479:ffff:ffff:ffff |
| 123 | 2c19:dd:ec00:c25:147a::/80 | 2c19:dd:ec00:c25:147a:ffff:ffff:ffff |
| 124 | 2c19:dd:ec00:c25:147b::/80 | 2c19:dd:ec00:c25:147b:ffff:ffff:ffff |
| 125 | 2c19:dd:ec00:c25:147c::/80 | 2c19:dd:ec00:c25:147c:ffff:ffff:ffff |
| 126 | 2c19:dd:ec00:c25:147d::/80 | 2c19:dd:ec00:c25:147d:ffff:ffff:ffff |
| 127 | 2c19:dd:ec00:c25:147e::/80 | 2c19:dd:ec00:c25:147e:ffff:ffff:ffff |
| 128 | 2c19:dd:ec00:c25:147f::/80 | 2c19:dd:ec00:c25:147f:ffff:ffff:ffff |
| 129 | 2c19:dd:ec00:c25:1480::/80 | 2c19:dd:ec00:c25:1480:ffff:ffff:ffff |
| 130 | 2c19:dd:ec00:c25:1481::/80 | 2c19:dd:ec00:c25:1481:ffff:ffff:ffff |
| 131 | 2c19:dd:ec00:c25:1482::/80 | 2c19:dd:ec00:c25:1482:ffff:ffff:ffff |
| 132 | 2c19:dd:ec00:c25:1483::/80 | 2c19:dd:ec00:c25:1483:ffff:ffff:ffff |
| 133 | 2c19:dd:ec00:c25:1484::/80 | 2c19:dd:ec00:c25:1484:ffff:ffff:ffff |
| 134 | 2c19:dd:ec00:c25:1485::/80 | 2c19:dd:ec00:c25:1485:ffff:ffff:ffff |
| 135 | 2c19:dd:ec00:c25:1486::/80 | 2c19:dd:ec00:c25:1486:ffff:ffff:ffff |
| 136 | 2c19:dd:ec00:c25:1487::/80 | 2c19:dd:ec00:c25:1487:ffff:ffff:ffff |
| 137 | 2c19:dd:ec00:c25:1488::/80 | 2c19:dd:ec00:c25:1488:ffff:ffff:ffff |
| 138 | 2c19:dd:ec00:c25:1489::/80 | 2c19:dd:ec00:c25:1489:ffff:ffff:ffff |
| 139 | 2c19:dd:ec00:c25:148a::/80 | 2c19:dd:ec00:c25:148a:ffff:ffff:ffff |
| 140 | 2c19:dd:ec00:c25:148b::/80 | 2c19:dd:ec00:c25:148b:ffff:ffff:ffff |
| 141 | 2c19:dd:ec00:c25:148c::/80 | 2c19:dd:ec00:c25:148c:ffff:ffff:ffff |
| 142 | 2c19:dd:ec00:c25:148d::/80 | 2c19:dd:ec00:c25:148d:ffff:ffff:ffff |
| 143 | 2c19:dd:ec00:c25:148e::/80 | 2c19:dd:ec00:c25:148e:ffff:ffff:ffff |
| 144 | 2c19:dd:ec00:c25:148f::/80 | 2c19:dd:ec00:c25:148f:ffff:ffff:ffff |
| 145 | 2c19:dd:ec00:c25:1490::/80 | 2c19:dd:ec00:c25:1490:ffff:ffff:ffff |
| 146 | 2c19:dd:ec00:c25:1491::/80 | 2c19:dd:ec00:c25:1491:ffff:ffff:ffff |
| 147 | 2c19:dd:ec00:c25:1492::/80 | 2c19:dd:ec00:c25:1492:ffff:ffff:ffff |
| 148 | 2c19:dd:ec00:c25:1493::/80 | 2c19:dd:ec00:c25:1493:ffff:ffff:ffff |
| 149 | 2c19:dd:ec00:c25:1494::/80 | 2c19:dd:ec00:c25:1494:ffff:ffff:ffff |
| 150 | 2c19:dd:ec00:c25:1495::/80 | 2c19:dd:ec00:c25:1495:ffff:ffff:ffff |
| 151 | 2c19:dd:ec00:c25:1496::/80 | 2c19:dd:ec00:c25:1496:ffff:ffff:ffff |
| 152 | 2c19:dd:ec00:c25:1497::/80 | 2c19:dd:ec00:c25:1497:ffff:ffff:ffff |
| 153 | 2c19:dd:ec00:c25:1498::/80 | 2c19:dd:ec00:c25:1498:ffff:ffff:ffff |
| 154 | 2c19:dd:ec00:c25:1499::/80 | 2c19:dd:ec00:c25:1499:ffff:ffff:ffff |
| 155 | 2c19:dd:ec00:c25:149a::/80 | 2c19:dd:ec00:c25:149a:ffff:ffff:ffff |
| 156 | 2c19:dd:ec00:c25:149b::/80 | 2c19:dd:ec00:c25:149b:ffff:ffff:ffff |
| 157 | 2c19:dd:ec00:c25:149c::/80 | 2c19:dd:ec00:c25:149c:ffff:ffff:ffff |
| 158 | 2c19:dd:ec00:c25:149d::/80 | 2c19:dd:ec00:c25:149d:ffff:ffff:ffff |
| 159 | 2c19:dd:ec00:c25:149e::/80 | 2c19:dd:ec00:c25:149e:ffff:ffff:ffff |
| 160 | 2c19:dd:ec00:c25:149f::/80 | 2c19:dd:ec00:c25:149f:ffff:ffff:ffff |
| 161 | 2c19:dd:ec00:c25:14a0::/80 | 2c19:dd:ec00:c25:14a0:ffff:ffff:ffff |
| 162 | 2c19:dd:ec00:c25:14a1::/80 | 2c19:dd:ec00:c25:14a1:ffff:ffff:ffff |
| 163 | 2c19:dd:ec00:c25:14a2::/80 | 2c19:dd:ec00:c25:14a2:ffff:ffff:ffff |
| 164 | 2c19:dd:ec00:c25:14a3::/80 | 2c19:dd:ec00:c25:14a3:ffff:ffff:ffff |
| 165 | 2c19:dd:ec00:c25:14a4::/80 | 2c19:dd:ec00:c25:14a4:ffff:ffff:ffff |
| 166 | 2c19:dd:ec00:c25:14a5::/80 | 2c19:dd:ec00:c25:14a5:ffff:ffff:ffff |
| 167 | 2c19:dd:ec00:c25:14a6::/80 | 2c19:dd:ec00:c25:14a6:ffff:ffff:ffff |
| 168 | 2c19:dd:ec00:c25:14a7::/80 | 2c19:dd:ec00:c25:14a7:ffff:ffff:ffff |
| 169 | 2c19:dd:ec00:c25:14a8::/80 | 2c19:dd:ec00:c25:14a8:ffff:ffff:ffff |
| 170 | 2c19:dd:ec00:c25:14a9::/80 | 2c19:dd:ec00:c25:14a9:ffff:ffff:ffff |
| 171 | 2c19:dd:ec00:c25:14aa::/80 | 2c19:dd:ec00:c25:14aa:ffff:ffff:ffff |
| 172 | 2c19:dd:ec00:c25:14ab::/80 | 2c19:dd:ec00:c25:14ab:ffff:ffff:ffff |
| 173 | 2c19:dd:ec00:c25:14ac::/80 | 2c19:dd:ec00:c25:14ac:ffff:ffff:ffff |
| 174 | 2c19:dd:ec00:c25:14ad::/80 | 2c19:dd:ec00:c25:14ad:ffff:ffff:ffff |
| 175 | 2c19:dd:ec00:c25:14ae::/80 | 2c19:dd:ec00:c25:14ae:ffff:ffff:ffff |
| 176 | 2c19:dd:ec00:c25:14af::/80 | 2c19:dd:ec00:c25:14af:ffff:ffff:ffff |
| 177 | 2c19:dd:ec00:c25:14b0::/80 | 2c19:dd:ec00:c25:14b0:ffff:ffff:ffff |
| 178 | 2c19:dd:ec00:c25:14b1::/80 | 2c19:dd:ec00:c25:14b1:ffff:ffff:ffff |
| 179 | 2c19:dd:ec00:c25:14b2::/80 | 2c19:dd:ec00:c25:14b2:ffff:ffff:ffff |
| 180 | 2c19:dd:ec00:c25:14b3::/80 | 2c19:dd:ec00:c25:14b3:ffff:ffff:ffff |
| 181 | 2c19:dd:ec00:c25:14b4::/80 | 2c19:dd:ec00:c25:14b4:ffff:ffff:ffff |
| 182 | 2c19:dd:ec00:c25:14b5::/80 | 2c19:dd:ec00:c25:14b5:ffff:ffff:ffff |
| 183 | 2c19:dd:ec00:c25:14b6::/80 | 2c19:dd:ec00:c25:14b6:ffff:ffff:ffff |
| 184 | 2c19:dd:ec00:c25:14b7::/80 | 2c19:dd:ec00:c25:14b7:ffff:ffff:ffff |
| 185 | 2c19:dd:ec00:c25:14b8::/80 | 2c19:dd:ec00:c25:14b8:ffff:ffff:ffff |
| 186 | 2c19:dd:ec00:c25:14b9::/80 | 2c19:dd:ec00:c25:14b9:ffff:ffff:ffff |
| 187 | 2c19:dd:ec00:c25:14ba::/80 | 2c19:dd:ec00:c25:14ba:ffff:ffff:ffff |
| 188 | 2c19:dd:ec00:c25:14bb::/80 | 2c19:dd:ec00:c25:14bb:ffff:ffff:ffff |
| 189 | 2c19:dd:ec00:c25:14bc::/80 | 2c19:dd:ec00:c25:14bc:ffff:ffff:ffff |
| 190 | 2c19:dd:ec00:c25:14bd::/80 | 2c19:dd:ec00:c25:14bd:ffff:ffff:ffff |
| 191 | 2c19:dd:ec00:c25:14be::/80 | 2c19:dd:ec00:c25:14be:ffff:ffff:ffff |
| 192 | 2c19:dd:ec00:c25:14bf::/80 | 2c19:dd:ec00:c25:14bf:ffff:ffff:ffff |
| 193 | 2c19:dd:ec00:c25:14c0::/80 | 2c19:dd:ec00:c25:14c0:ffff:ffff:ffff |
| 194 | 2c19:dd:ec00:c25:14c1::/80 | 2c19:dd:ec00:c25:14c1:ffff:ffff:ffff |
| 195 | 2c19:dd:ec00:c25:14c2::/80 | 2c19:dd:ec00:c25:14c2:ffff:ffff:ffff |
| 196 | 2c19:dd:ec00:c25:14c3::/80 | 2c19:dd:ec00:c25:14c3:ffff:ffff:ffff |
| 197 | 2c19:dd:ec00:c25:14c4::/80 | 2c19:dd:ec00:c25:14c4:ffff:ffff:ffff |
| 198 | 2c19:dd:ec00:c25:14c5::/80 | 2c19:dd:ec00:c25:14c5:ffff:ffff:ffff |
| 199 | 2c19:dd:ec00:c25:14c6::/80 | 2c19:dd:ec00:c25:14c6:ffff:ffff:ffff |
| 200 | 2c19:dd:ec00:c25:14c7::/80 | 2c19:dd:ec00:c25:14c7:ffff:ffff:ffff |
| 201 | 2c19:dd:ec00:c25:14c8::/80 | 2c19:dd:ec00:c25:14c8:ffff:ffff:ffff |
| 202 | 2c19:dd:ec00:c25:14c9::/80 | 2c19:dd:ec00:c25:14c9:ffff:ffff:ffff |
| 203 | 2c19:dd:ec00:c25:14ca::/80 | 2c19:dd:ec00:c25:14ca:ffff:ffff:ffff |
| 204 | 2c19:dd:ec00:c25:14cb::/80 | 2c19:dd:ec00:c25:14cb:ffff:ffff:ffff |
| 205 | 2c19:dd:ec00:c25:14cc::/80 | 2c19:dd:ec00:c25:14cc:ffff:ffff:ffff |
| 206 | 2c19:dd:ec00:c25:14cd::/80 | 2c19:dd:ec00:c25:14cd:ffff:ffff:ffff |
| 207 | 2c19:dd:ec00:c25:14ce::/80 | 2c19:dd:ec00:c25:14ce:ffff:ffff:ffff |
| 208 | 2c19:dd:ec00:c25:14cf::/80 | 2c19:dd:ec00:c25:14cf:ffff:ffff:ffff |
| 209 | 2c19:dd:ec00:c25:14d0::/80 | 2c19:dd:ec00:c25:14d0:ffff:ffff:ffff |
| 210 | 2c19:dd:ec00:c25:14d1::/80 | 2c19:dd:ec00:c25:14d1:ffff:ffff:ffff |
| 211 | 2c19:dd:ec00:c25:14d2::/80 | 2c19:dd:ec00:c25:14d2:ffff:ffff:ffff |
| 212 | 2c19:dd:ec00:c25:14d3::/80 | 2c19:dd:ec00:c25:14d3:ffff:ffff:ffff |
| 213 | 2c19:dd:ec00:c25:14d4::/80 | 2c19:dd:ec00:c25:14d4:ffff:ffff:ffff |
| 214 | 2c19:dd:ec00:c25:14d5::/80 | 2c19:dd:ec00:c25:14d5:ffff:ffff:ffff |
| 215 | 2c19:dd:ec00:c25:14d6::/80 | 2c19:dd:ec00:c25:14d6:ffff:ffff:ffff |
| 216 | 2c19:dd:ec00:c25:14d7::/80 | 2c19:dd:ec00:c25:14d7:ffff:ffff:ffff |
| 217 | 2c19:dd:ec00:c25:14d8::/80 | 2c19:dd:ec00:c25:14d8:ffff:ffff:ffff |
| 218 | 2c19:dd:ec00:c25:14d9::/80 | 2c19:dd:ec00:c25:14d9:ffff:ffff:ffff |
| 219 | 2c19:dd:ec00:c25:14da::/80 | 2c19:dd:ec00:c25:14da:ffff:ffff:ffff |
| 220 | 2c19:dd:ec00:c25:14db::/80 | 2c19:dd:ec00:c25:14db:ffff:ffff:ffff |
| 221 | 2c19:dd:ec00:c25:14dc::/80 | 2c19:dd:ec00:c25:14dc:ffff:ffff:ffff |
| 222 | 2c19:dd:ec00:c25:14dd::/80 | 2c19:dd:ec00:c25:14dd:ffff:ffff:ffff |
| 223 | 2c19:dd:ec00:c25:14de::/80 | 2c19:dd:ec00:c25:14de:ffff:ffff:ffff |
| 224 | 2c19:dd:ec00:c25:14df::/80 | 2c19:dd:ec00:c25:14df:ffff:ffff:ffff |
| 225 | 2c19:dd:ec00:c25:14e0::/80 | 2c19:dd:ec00:c25:14e0:ffff:ffff:ffff |
| 226 | 2c19:dd:ec00:c25:14e1::/80 | 2c19:dd:ec00:c25:14e1:ffff:ffff:ffff |
| 227 | 2c19:dd:ec00:c25:14e2::/80 | 2c19:dd:ec00:c25:14e2:ffff:ffff:ffff |
| 228 | 2c19:dd:ec00:c25:14e3::/80 | 2c19:dd:ec00:c25:14e3:ffff:ffff:ffff |
| 229 | 2c19:dd:ec00:c25:14e4::/80 | 2c19:dd:ec00:c25:14e4:ffff:ffff:ffff |
| 230 | 2c19:dd:ec00:c25:14e5::/80 | 2c19:dd:ec00:c25:14e5:ffff:ffff:ffff |
| 231 | 2c19:dd:ec00:c25:14e6::/80 | 2c19:dd:ec00:c25:14e6:ffff:ffff:ffff |
| 232 | 2c19:dd:ec00:c25:14e7::/80 | 2c19:dd:ec00:c25:14e7:ffff:ffff:ffff |
| 233 | 2c19:dd:ec00:c25:14e8::/80 | 2c19:dd:ec00:c25:14e8:ffff:ffff:ffff |
| 234 | 2c19:dd:ec00:c25:14e9::/80 | 2c19:dd:ec00:c25:14e9:ffff:ffff:ffff |
| 235 | 2c19:dd:ec00:c25:14ea::/80 | 2c19:dd:ec00:c25:14ea:ffff:ffff:ffff |
| 236 | 2c19:dd:ec00:c25:14eb::/80 | 2c19:dd:ec00:c25:14eb:ffff:ffff:ffff |
| 237 | 2c19:dd:ec00:c25:14ec::/80 | 2c19:dd:ec00:c25:14ec:ffff:ffff:ffff |
| 238 | 2c19:dd:ec00:c25:14ed::/80 | 2c19:dd:ec00:c25:14ed:ffff:ffff:ffff |
| 239 | 2c19:dd:ec00:c25:14ee::/80 | 2c19:dd:ec00:c25:14ee:ffff:ffff:ffff |
| 240 | 2c19:dd:ec00:c25:14ef::/80 | 2c19:dd:ec00:c25:14ef:ffff:ffff:ffff |
| 241 | 2c19:dd:ec00:c25:14f0::/80 | 2c19:dd:ec00:c25:14f0:ffff:ffff:ffff |
| 242 | 2c19:dd:ec00:c25:14f1::/80 | 2c19:dd:ec00:c25:14f1:ffff:ffff:ffff |
| 243 | 2c19:dd:ec00:c25:14f2::/80 | 2c19:dd:ec00:c25:14f2:ffff:ffff:ffff |
| 244 | 2c19:dd:ec00:c25:14f3::/80 | 2c19:dd:ec00:c25:14f3:ffff:ffff:ffff |
| 245 | 2c19:dd:ec00:c25:14f4::/80 | 2c19:dd:ec00:c25:14f4:ffff:ffff:ffff |
| 246 | 2c19:dd:ec00:c25:14f5::/80 | 2c19:dd:ec00:c25:14f5:ffff:ffff:ffff |
| 247 | 2c19:dd:ec00:c25:14f6::/80 | 2c19:dd:ec00:c25:14f6:ffff:ffff:ffff |
| 248 | 2c19:dd:ec00:c25:14f7::/80 | 2c19:dd:ec00:c25:14f7:ffff:ffff:ffff |
| 249 | 2c19:dd:ec00:c25:14f8::/80 | 2c19:dd:ec00:c25:14f8:ffff:ffff:ffff |
| 250 | 2c19:dd:ec00:c25:14f9::/80 | 2c19:dd:ec00:c25:14f9:ffff:ffff:ffff |
| 251 | 2c19:dd:ec00:c25:14fa::/80 | 2c19:dd:ec00:c25:14fa:ffff:ffff:ffff |
| 252 | 2c19:dd:ec00:c25:14fb::/80 | 2c19:dd:ec00:c25:14fb:ffff:ffff:ffff |
| 253 | 2c19:dd:ec00:c25:14fc::/80 | 2c19:dd:ec00:c25:14fc:ffff:ffff:ffff |
| 254 | 2c19:dd:ec00:c25:14fd::/80 | 2c19:dd:ec00:c25:14fd:ffff:ffff:ffff |
| 255 | 2c19:dd:ec00:c25:14fe::/80 | 2c19:dd:ec00:c25:14fe:ffff:ffff:ffff |
| 256 | 2c19:dd:ec00:c25:14ff::/80 | 2c19:dd:ec00:c25:14ff:ffff:ffff:ffff |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |